> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get admin reward detail

> Get detailed information of a specific reward including full metadata



## OpenAPI

````yaml /swagger.json get /admin/reward/{rewardId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /admin/reward/{rewardId}:
    get:
      tags:
        - admin
        - reward
      summary: Get admin reward detail
      description: Get detailed information of a specific reward including full metadata
      parameters:
        - schema:
            type: string
          required: true
          name: rewardId
          in: path
      responses:
        '200':
          description: Returns the reward detail
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  userId:
                    type: string
                  spaceId:
                    type: string
                  spaceName:
                    type: string
                  sourceType:
                    type: string
                  sourceMetaData:
                    type: object
                    properties:
                      platform:
                        type: string
                        enum:
                          - x
                          - linkedin
                      postUrl:
                        type: string
                      postId:
                        type: string
                      snapshotId:
                        type: string
                      content:
                        type: string
                      username:
                        type: string
                      followerCount:
                        type: number
                      verifyResult:
                        type: object
                        properties:
                          isValid:
                            type: boolean
                          errors:
                            type: array
                            items:
                              type: object
                              properties:
                                message:
                                  type: string
                                localization:
                                  type: object
                                  properties:
                                    i18nKey:
                                      type: string
                                    context:
                                      type: object
                                      additionalProperties:
                                        nullable: true
                                  required:
                                    - i18nKey
                              required:
                                - message
                        required:
                          - isValid
                    required:
                      - platform
                      - postUrl
                  uniqueKey:
                    type: string
                  status:
                    type: string
                    enum:
                      - pending
                      - approved
                      - rejected
                  amount:
                    type: integer
                  consumedAmount:
                    type: number
                    nullable: true
                  remainingAmount:
                    type: number
                    nullable: true
                  rewardTime:
                    type: string
                    nullable: true
                  expiredTime:
                    type: string
                    nullable: true
                  createdTime:
                    type: string
                  lastModifiedTime:
                    type: string
                    nullable: true
                required:
                  - id
                  - userId
                  - spaceId
                  - spaceName
                  - sourceType
                  - sourceMetaData
                  - uniqueKey
                  - status
                  - amount
                  - consumedAmount
                  - remainingAmount
                  - rewardTime
                  - expiredTime
                  - createdTime
                  - lastModifiedTime
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url https://app.teable.ai/api/admin/reward/%7BrewardId%7D \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url = 'https://app.teable.ai/api/admin/reward/%7BrewardId%7D';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/reward/%7BrewardId%7D',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET", "/api/admin/reward/%7BrewardId%7D",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````